/*
Copyright inpleworks, Co.
XET CSS v2.0.4 2024-08-02 for supported in all modern browsers
By xetemplate(https://xetemplate.com)
*/
#xet-layout.main {
  opacity: 0;
}

.xet-preloader {
  z-index: 999999 !important;
  position: fixed;
  top: 50%;
  left: 50%;
  width: 40px;
  height: 40px;
  transform: translate3d(-50%, -50%, 0);
}
.xet-preloader .spinner-icon {
  width: 40px;
  height: 40px;
  border: solid 4px transparent;
  border-top-color: var(--xet-theme-color) !important;
  border-left-color: var(--xet-theme-color) !important;
  border-radius: 50%;
  animation: loading-bar 400ms linear infinite;
}

@keyframes loading-bar {
  0% {
    transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
    transform: rotate(360deg);
  }
}